%define upstream_name    Gtk2-SourceView
%define upstream_version 1.000

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 23

Summary:	Perl upstream_name for the gtksourceview library
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Url:		http://gtk2-perl.sf.net/
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Gtk2-SourceView-1.000-port-to-api2.patch

BuildRequires:	gtk+2-devel 
BuildRequires:	libgnomeprintui2-2-devel
BuildRequires:	libgtksourceview-1.0-devel >= 0.7 
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Glib)                 >  1.00
BuildRequires:	perl(Gnome2)               >= 0.30
BuildRequires:	perl(Gnome2::Print)
BuildRequires:	perl-devel 

# for data files:
Requires:	gtksourceview1
Requires:	gtk+2

%{?perl_default_filter}

%description
This module provides perl access to the libgtksourceview library, a library
that adds syntax highlighting, line numbers, and other programming-editor
features.
GtkSourceView specializes these features for a code editor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# (tv) disabled (not enought to build with gtksourceview-2):
#%patch -p0
find -type d -name CVS | xargs rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc examples
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-23.mga6
+ Revision: 1028105
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 1.0.0-22.mga6
+ Revision: 962014
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.0.0-21.mga6
+ Revision: 843470
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-20.mga5
+ Revision: 747413
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.0.0-19.mga5
+ Revision: 732234
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-18.mga5
+ Revision: 684913
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.0.0-17.mga5
+ Revision: 632489
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-16.mga4
+ Revision: 525317
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 1.0.0-15.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-15.mga3
+ Revision: 367918
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.0.0-14.mga3
+ Revision: 250744
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 1.0.0-13.mga2
+ Revision: 135830
- rebuild

* Sun Jun 12 2011 sander85 <sander85> 1.0.0-12.mga2
+ Revision: 104641
- Rebuild for perl 5.14

* Tue Jan 25 2011 jquelin <jquelin> 1.0.0-11.mga1
+ Revision: 38296
- mageia rebuild
- imported package perl-Gtk2-SourceView

